import { ApiBase } from './ApiBase';
import { ActionColumnOptions, ActionRowOptions, AdaptableOptions, AlertOptions, CalendarOptions, CellSummaryOptions, ChartingOptions, ColumnOptions, NoteOptions, ContainerOptions, DashboardOptions, DataChangeHistoryOptions, DataSetOptions, EditOptions, EntitlementOptions, ExportOptions, FlashingCellOptions, FormatColumnOptions, LayoutOptions, NotificationsOptions, OptionsApi, QuickSearchOptions, SettingsPanelOptions, StateOptions, TeamSharingOptions, ToolPanelOptions, UserInterfaceOptions, GridFilterOptions, ColumnMenuOptions, ContextMenuOptions } from '../../types';
import { GroupingOptions } from '../../AdaptableOptions/GroupingOptions';
import { CustomSortOptions } from '../../AdaptableOptions/CustomSortOptions';
import { Fdc3Options } from '../../AdaptableOptions/Fdc3Options';
import { ExpressionOptions } from '../../AdaptableOptions/ExpressionOptions';
import { ColumnFilterOptions } from '../../AdaptableOptions/ColumnFilterOptions';
import { CommentOptions } from '../../AdaptableOptions/CommentOptions';
export declare class OptionsApiImpl extends ApiBase implements OptionsApi {
    getAdaptableId(): string;
    getAdaptableStateKey(): string;
    getAutogeneratePrimaryKey(): boolean;
    getLicenseKey(): string;
    getPrimaryKey(): string;
    getUserName(): string;
    getAdaptableOptions(): AdaptableOptions;
    getActionColumnOptions(): ActionColumnOptions;
    getActionRowOptions(): ActionRowOptions;
    getCellSummaryOptions(): CellSummaryOptions;
    getCalendarOptions(): CalendarOptions;
    getColumnOptions(): ColumnOptions;
    getNoteOptions(): NoteOptions;
    getCommentOptions(): Readonly<CommentOptions<any>>;
    getCustomSortOptions(): CustomSortOptions;
    getContainerOptions(): ContainerOptions;
    getDataSetOptions(): DataSetOptions;
    getNotificationsOptions(): NotificationsOptions;
    getAlertOptions(): AlertOptions;
    getDashboardOptions(): DashboardOptions;
    getEditOptions(): EditOptions;
    getExportOptions(): ExportOptions;
    getGroupingOptions(): GroupingOptions;
    getLayoutOptions(): LayoutOptions;
    getColumnMenuOptions(): ColumnMenuOptions;
    getContextMenuOptions(): ContextMenuOptions;
    getColumnFilterOptions(): ColumnFilterOptions;
    getGridFilterOptions(): Readonly<GridFilterOptions<any>>;
    getExpressionOptions(): ExpressionOptions;
    getQuickSearchOptions(): QuickSearchOptions;
    getFormatColumnOptions(): FormatColumnOptions;
    getStateOptions(): StateOptions;
    getTeamSharingOptions(): TeamSharingOptions;
    getUserInterfaceOptions(): UserInterfaceOptions;
    getToolPanelOptions(): ToolPanelOptions;
    getChartingOptions(): ChartingOptions;
    getDataChangeHistoryOptions(): DataChangeHistoryOptions;
    getEntitlementOptions(): EntitlementOptions;
    getFlashingCellOptions(): FlashingCellOptions;
    getSettingsPanelOptions(): SettingsPanelOptions;
    getFdc3Options(): Fdc3Options;
    getDataImportOptions(): import("../../types").DataImportOptions<Record<string, any>>;
}
